<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (version 1.7.0_51) on Sun Apr 26 10:43:52 CEST 2015 -->
<title>PostalAddressSEPA</title>
<meta name="date" content="2015-04-26">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="PostalAddressSEPA";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../de/jost_net/OBanToo/SEPA/Nachricht/pain_008_002_02/PersonIdentificationSEPA2.html" title="class in de.jost_net.OBanToo.SEPA.Nachricht.pain_008_002_02"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../../de/jost_net/OBanToo/SEPA/Nachricht/pain_008_002_02/PurposeSEPA.html" title="class in de.jost_net.OBanToo.SEPA.Nachricht.pain_008_002_02"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?de/jost_net/OBanToo/SEPA/Nachricht/pain_008_002_02/PostalAddressSEPA.html" target="_top">Frames</a></li>
<li><a href="PostalAddressSEPA.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">de.jost_net.OBanToo.SEPA.Nachricht.pain_008_002_02</div>
<h2 title="Class PostalAddressSEPA" class="title">Class PostalAddressSEPA</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>de.jost_net.OBanToo.SEPA.Nachricht.pain_008_002_02.PostalAddressSEPA</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">PostalAddressSEPA</span>
extends java.lang.Object</pre>
<div class="block"><p>Java class for PostalAddressSEPA complex type.
 
 <p>The following schema fragment specifies the expected content contained within this class.
 
 <pre>
 &lt;complexType name="PostalAddressSEPA">
   &lt;complexContent>
     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
       &lt;sequence>
         &lt;element name="Ctry" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}CountryCode" minOccurs="0"/>
         &lt;element name="AdrLine" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}Max70Text" maxOccurs="2" minOccurs="0"/>
       &lt;/sequence>
     &lt;/restriction>
   &lt;/complexContent>
 &lt;/complexType>
 </pre></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected java.util.List&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../../de/jost_net/OBanToo/SEPA/Nachricht/pain_008_002_02/PostalAddressSEPA.html#adrLine">adrLine</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../../de/jost_net/OBanToo/SEPA/Nachricht/pain_008_002_02/PostalAddressSEPA.html#ctry">ctry</a></strong></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../../de/jost_net/OBanToo/SEPA/Nachricht/pain_008_002_02/PostalAddressSEPA.html#PostalAddressSEPA()">PostalAddressSEPA</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../../de/jost_net/OBanToo/SEPA/Nachricht/pain_008_002_02/PostalAddressSEPA.html#getAdrLine()">getAdrLine</a></strong>()</code>
<div class="block">Gets the value of the adrLine property.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../../de/jost_net/OBanToo/SEPA/Nachricht/pain_008_002_02/PostalAddressSEPA.html#getCtry()">getCtry</a></strong>()</code>
<div class="block">Gets the value of the ctry property.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../de/jost_net/OBanToo/SEPA/Nachricht/pain_008_002_02/PostalAddressSEPA.html#setCtry(java.lang.String)">setCtry</a></strong>(java.lang.String&nbsp;value)</code>
<div class="block">Sets the value of the ctry property.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="ctry">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ctry</h4>
<pre>protected&nbsp;java.lang.String ctry</pre>
</li>
</ul>
<a name="adrLine">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>adrLine</h4>
<pre>protected&nbsp;java.util.List&lt;java.lang.String&gt; adrLine</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="PostalAddressSEPA()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PostalAddressSEPA</h4>
<pre>public&nbsp;PostalAddressSEPA()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getCtry()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCtry</h4>
<pre>public&nbsp;java.lang.String&nbsp;getCtry()</pre>
<div class="block">Gets the value of the ctry property.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>possible object is
     <code>String</code></dd></dl>
</li>
</ul>
<a name="setCtry(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCtry</h4>
<pre>public&nbsp;void&nbsp;setCtry(java.lang.String&nbsp;value)</pre>
<div class="block">Sets the value of the ctry property.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>value</code> - allowed object is
     <code>String</code></dd></dl>
</li>
</ul>
<a name="getAdrLine()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getAdrLine</h4>
<pre>public&nbsp;java.util.List&lt;java.lang.String&gt;&nbsp;getAdrLine()</pre>
<div class="block">Gets the value of the adrLine property.
 
 <p>
 This accessor method returns a reference to the live list,
 not a snapshot. Therefore any modification you make to the
 returned list will be present inside the JAXB object.
 This is why there is not a <CODE>set</CODE> method for the adrLine property.
 
 <p>
 For example, to add a new item, do as follows:
 <pre>
    getAdrLine().add(newItem);
 </pre>
 
 
 <p>
 Objects of the following type(s) are allowed in the list
 <code>String</code></div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../de/jost_net/OBanToo/SEPA/Nachricht/pain_008_002_02/PersonIdentificationSEPA2.html" title="class in de.jost_net.OBanToo.SEPA.Nachricht.pain_008_002_02"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../../de/jost_net/OBanToo/SEPA/Nachricht/pain_008_002_02/PurposeSEPA.html" title="class in de.jost_net.OBanToo.SEPA.Nachricht.pain_008_002_02"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?de/jost_net/OBanToo/SEPA/Nachricht/pain_008_002_02/PostalAddressSEPA.html" target="_top">Frames</a></li>
<li><a href="PostalAddressSEPA.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
